<template>
  <div class="card myBets">
    <div
      class="myBets_header flex flex-center color-white uppercase">
      {{$t('bets.my.title')}}
    </div>
    <div class="myBets_body">
      <div class="flex flex-center myBets_body-values">
        <AmountInput
          @change="(val)=>{bet=parseFloat((bet+val).toFixed(2));}"
          :value="bet"
          :step="step * mult"></AmountInput>
      </div>
      <div class="flex flex-center myBets_body-slider">
        <div class="flex flex-middle">
          <div
            class="progress"
            :style="{backgroundColor: '#4696d0'}"></div>
        </div>
        <BSlider
          v-model="bet"
          :zeroBlock="zeroBlock"
          :min="step"
          :max="max"
          :step="step * mult"
          label="EOS"></BSlider>
      </div>
    </div>
  </div>
</template>

<script>
  import AmountInput from '~/components/UI/AmountInput';
  import BSlider from '~/components/UI/Slider/';
  import {mapState} from 'vuex';

  export default {
    name: "MyBets",
    data() {
      return {
        zeroBlock: 10,
        mult: 1
      }
    },
    components: {
      AmountInput,
      BSlider,
    },
    computed: {
      bet: {
        get() {
          return this.$store.state.game.betAmount
        },
        set(amount) {
          let am = amount;
          if (amount > 1) {
            this.mult = 10;
            am = Math.round(amount);
          } else {
            this.mult = 1;
          }
          localStorage.setItem('defaultBet', am);
          this.$store.commit('game/SET_BET_AMOUNT', am);
        }
      },
      max() {
        return Math.min(this.cap / 24, this.$store.state.game.settings.cell_limit);
      },
      ...mapState({
        cap: state => state.game.settings.cap,
        step: state => state.game.settings.step
      })
    }
  }
</script>
